List shift calendar items
curl --request GET \
--url https://{organization}.rescueconsole.com/api/shifts/calendar \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/shifts/calendar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/shifts/calendar"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"source": "volunteer_event",
"title": "<string>",
"starts_at": "<string>",
"all_day": true,
"entity_id": "<string>",
"tone": "scheduled",
"module": "shifts",
"ends_at": "<string>",
"entity_type": "volunteer_event",
"detail": "<string>",
"assignees": [
{
"person_id": "<string>",
"name": "<string>"
}
]
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Shift calendar
List shift calendar items
Your schedules and shifts that fall on any day in a date range, as calendar items: the schedules first, then the shifts, each soonest first. Draft schedules are left out. Up to 1,000 schedules and 1,000 shifts. Needs read on Shifts.
GET
/
api
/
shifts
/
calendar
List shift calendar items
curl --request GET \
--url https://{organization}.rescueconsole.com/api/shifts/calendar \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/shifts/calendar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/shifts/calendar"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"source": "volunteer_event",
"title": "<string>",
"starts_at": "<string>",
"all_day": true,
"entity_id": "<string>",
"tone": "scheduled",
"module": "shifts",
"ends_at": "<string>",
"entity_type": "volunteer_event",
"detail": "<string>",
"assignees": [
{
"person_id": "<string>",
"name": "<string>"
}
]
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}